List incident events with filters
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/4/incidents/events/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/4/incidents/events/v1"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/4/incidents/events/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"cxEventKey": "<string>",
"cxEventTimestamp": "2023-11-07T05:31:56Z",
"incidentEvent": {
"id": "incident_event_id",
"administrativeEvent": {
"userId": "<string>"
},
"assignment": {
"assignment": {
"assignedBy": {
"userId": "user_id"
},
"assignedTo": {
"userId": "user_id"
}
}
}
},
"incidentEventExtendedMetadata": {
"alertGroupByFields": [
"<string>"
],
"alertId": "<string>",
"alertLabels": [
{
"key": "key",
"value": "value"
}
],
"alertName": "<string>",
"incidentPermutation": {},
"isMuted": true
}
}
],
"pagination": {
"totalSize": 100,
"nextPageToken": "next_page_token"
}
}Incidents Service
List incident events with filters
List incident events with support for filtering, pagination, and ordering.
Requires the following permissions:
incidents:read
List incident events with filters
Authorizations
API key authentication
Query Parameters
Filter configuration for incident events
Show child attributes
Show child attributes
Pagination parameters for list requests
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I